/*
 * the network entropy measurement tool
 * copyright (c) 2002 marius aamodt eriksen (marius@umich.edu)
 */

#ifndef _NETICS_H
#define _NETICS_H

/* options */
#define OPT_PRECISE 1

#define TRUE 1
#define FALSE 0

/*
 * sc_feed returns a non-negative number if it is able to yield a
 * result at the time, and a negative number if it is not.
 *
 * sc_result_* returns a negative number is result is not available.
 */

struct sc_ops { 
	char      *name;
	void      *(*sc_new)(u_int32_t, int);
	void       (*sc_free)(void *);
	u_int32_t  (*sc_feed)(void *, u_char *, u_int32_t);
	void       (*sc_reset)(void *);
	double     (*sc_result_raw)(void *);
	double     (*sc_result_percent)(void *);
	int        (*sc_result_display)(void *);
};

#endif /* _NETICS_H */

/*
 * copyright 2002 marius aamodt eriksen <marius@umich.edu>
 * all rights reserved.
 *
 * redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. all advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      this product includes software developed by marius aamodt eriksen.
 * 4. the name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
